## python-sdjson 0.4.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.5.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.2.0
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.5
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=2.13.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-rerunfailures>=9.0
pytest-timeout>=1.4.2
pytz>=2019.1

=== debian/changelog ===
python-sdjson (0.4.0-2) unstable; urgency=medium

  [Josenilson Ferreira da Silva]
  * debian/control: added dependency for test execution
  * debian/patches: patche is no longer necessary

  [ Dmitry Shachnev ]
  * Simplify PYBUILD_TEST_ARGS.
  * Use timezone from standard library instead of pytz.
  * Add tmp_pathplus fixture and re-enable more tests.
  * Enable test_overloading.py.
  * Update email and Last-Updated in patches.
  * Enable the autopkgtest via pybuild.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 27 Dec 2023 23:34:57 -0300

python-sdjson (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1056005)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 07 Nov 2023 22:06:00 -0300

=== debian/control ===
Source: python-sdjson
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coincidence,
               python3-coverage,
               python3-domdf-python-tools,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-regressions,
               python3-pytest-rerunfailures,
               python3-pytest-timeout,
               python3-setuptools,
               python3-typing-extensions,
               tzdata
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/singledispatch-json
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdjson
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sdjson.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-sdjson
Architecture: all
Depends: python3-domdf-python-tools,
         ${misc:Depends},
         ${python3:Depends}
Description: single-dispatch JSON encoder for Python
 Module uses functools.singledispatch to support custom encoders for Python
 built-in classes and user-created classes.
 .
 The goal is to simplify the process of serializing objects into JSON by
 allowing developers to register custom encoders for their classes,
 allowing you to define instances to be converted into JSON format.
 .
 After coding, you can use sdjson.dumps(class_instance) to serialize an
 instance of the class into a JSON string. This makes the process of saving
 objects in JSON easier.
 .
 In addition to serialization to a string, the project provides
 the ability to serialize objects directly to JSON files using sdjson.dump
 (class_instance, fp).
 .
 The sdjson project also supports several features of the json module,
 including load, loads, JSONDecoder, JSONDecodeError and JSONEncoder.
 This allows you to use sdjson as a drop-in replacement for the json
 module.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
https://github.com/domdfcoding/singledispatch-json/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-sdjson 0.5.0

=== requirements.txt ===
domdf-python-tools>=2.5.2
typing-extensions>=3.7.4.3

=== doc-source/requirements.txt ===
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-applehelp==1.0.4
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-httpdomain>=1.7.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== debian/changelog ===
python-sdjson (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 15:02:12 +0200

python-sdjson (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Sacrifice version number to dgit upload issues.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 12:18:31 +0000

python-sdjson (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix tests on Python 3.13 (closes: #1082269).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 12:03:23 +0000

python-sdjson (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * debian/control: Bumped Standards-Version to 4.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 07 Aug 2024 22:20:58 -0300

python-sdjson (0.4.0-3) unstable; urgency=medium

  * debian/control: changed maintainer name and added 'Build:Depends'
  * debian/patches/001.backend-change.patch: backend already packaged

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 19 Mar 2024 22:01:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: python-sdjson
 Section: python
 Priority: optional
-Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
+               python3-whey,
                python3-all,
                python3-coincidence,
                python3-coverage,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
                python3-iniconfig,
                python3-pytest,
                python3-pytest-cov,
@@ -20,7 +21,7 @@
                python3-setuptools,
                python3-typing-extensions,
                tzdata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/singledispatch-json
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdjson
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sdjson.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=sdjson
export PYBUILD_BEFORE_TEST=ln -s test_overloading_ tests/test_overloading
export PYBUILD_AFTER_TEST=rm tests/test_overloading

# https://github.com/domdfcoding/singledispatch-json/issues/42
export PYBUILD_TEST_ARGS=-v --ignore=tests/test_protocols.py

%:
	dh $@ --buildsystem=pybuild
